import 'reflect-metadata'
import express from 'express'
import cors from 'cors'
import {appConfig} from "./config"
import {userRouter} from "./routers/user-router"
import {getPoolCreatingPromise} from "./includes"

const app = express()

app.use(cors())
app.use(express.urlencoded({extended: true}))
app.use('/user', userRouter)

async function entrypoint(){
    await getPoolCreatingPromise()
    app.listen(appConfig.port, () => {
        console.log('Server started at port ' + appConfig.port)
    })
}
entrypoint()
